Esempio n. 1
0
 public MOPTrochoprof(MOPTrochoprof src) : base(src)
 {
     this.InsideOutside        = src.InsideOutside;
     this.CutWidth             = src.CutWidth;
     this.CornerOvercut        = src.CornerOvercut;
     this.Clear_inside_corners = src.Clear_inside_corners;
     this.Min_stepover         = src.Min_stepover;
 }
Esempio n. 2
0
        public static void InitPlugin(CamBamUI ui)
        {
            ToolStripMenuItem menu_entry;

            menu_entry        = new ToolStripMenuItem();
            menu_entry.Text   = profile_mop_name;
            menu_entry.Click += profile_mop_onclick;
            menu_entry.Image  = resources.cam_trochoprof1;

            insert_in_top_menu(ui, menu_entry);

            menu_entry        = new ToolStripMenuItem();
            menu_entry.Text   = profile_mop_name;
            menu_entry.Click += profile_mop_onclick;
            menu_entry.Image  = resources.cam_trochoprof1;

            insert_in_context_menu(ui, menu_entry);

            menu_entry        = new ToolStripMenuItem();
            menu_entry.Text   = pocket_mop_name;
            menu_entry.Click += pocket_mop_onclick;
            menu_entry.Image  = resources.cam_trochopock1;

            insert_in_top_menu(ui, menu_entry);

            menu_entry        = new ToolStripMenuItem();
            menu_entry.Text   = pocket_mop_name;
            menu_entry.Click += pocket_mop_onclick;
            menu_entry.Image  = resources.cam_trochopock1;

            insert_in_context_menu(ui, menu_entry);

            // defer attachment to toolbar until the first show.
            // Custom CAM Toolbar plugin (if installed) may already attached us after Load event, so we react on later Shown event
            ThisApplication.TopWindow.Shown += on_window_shown;

            if (CADFile.ExtraTypes == null)
            {
                CADFile.ExtraTypes = new List <Type>();
            }
            CADFile.ExtraTypes.Add(typeof(MOPTrochopock));
            CADFile.ExtraTypes.Add(typeof(Mop_matmill));
            CADFile.ExtraTypes.Add(typeof(MOPTrochoprof));

            {
                MOPTrochopock o             = new MOPTrochopock();
                XmlSerializer xmlSerializer = new XmlSerializer(typeof(MOPTrochopock));
                MemoryStream  stream        = new MemoryStream();
                xmlSerializer.Serialize(stream, o);
            }

            {
                MOPTrochoprof o             = new MOPTrochoprof();
                XmlSerializer xmlSerializer = new XmlSerializer(typeof(MOPTrochoprof));
                MemoryStream  stream        = new MemoryStream();
                xmlSerializer.Serialize(stream, o);
            }
        }
Esempio n. 3
0
        private static void profile_mop_onclick(object sender, EventArgs ars)
        {
            if (!PolylineUtils.ConfirmSelected(CamBamUI.MainUI.ActiveView))
            {
                return;
            }

            MOPTrochoprof mop = new MOPTrochoprof(CamBamUI.MainUI.ActiveView.CADFile, CamBamUI.MainUI.ActiveView.Selection);

            CamBamUI.MainUI.InsertMOP(mop);
        }
Esempio n. 4
0
 public MOPTrochoprof(MOPTrochoprof src) : base(src)
 {
     this.InsideOutside = src.InsideOutside;
     this.CutWidth      = src.CutWidth;
     this.CornerOvercut = src.CornerOvercut;
 }